gi-cairo-1.0.17: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Device

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype Device = Device (ManagedPtr Device)
- noDevice :: Maybe Device

# Exported types

newtype Device Source #

Memory-managed wrapper type.

Constructors

Device (ManagedPtr Device) |

Instances

BoxedObject Device Source # |
Instance details Defined in GI.Cairo.Structs.Device Methods boxedType :: Device -> IO GType Source #

noDevice :: Maybe Device Source #

A convenience alias for `Nothing` :: `Maybe` `Device`.